Package org.bukkit.conversations

# Class StringPrompt

java.lang.Object
org.bukkit.conversations.StringPrompt

All Implemented Interfaces:
  `Cloneable`, `Prompt`

public abstract class StringPrompt extends Object implements Prompt
StringPrompt is the base class for any prompt that accepts an arbitrary string from the user.

## Field Summary

### Fields inherited from interface org.bukkit.conversations.Prompt

`END_OF_CONVERSATION`

## Constructor Summary

Constructors
Constructor
Description
`StringPrompt()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`blocksForInput(@NotNull ConversationContext context)`
Ensures that the prompt waits for the user to provide input.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.conversations.Prompt

`acceptInput, getPromptText`

## Constructor Details

### StringPrompt

public StringPrompt()

## Method Details

### blocksForInput

public boolean blocksForInput(@NotNull @NotNull ConversationContext context)
Ensures that the prompt waits for the user to provide input.

Specified by:
  `blocksForInput` in interface `Prompt`
Parameters:
  `context` - Context information about the conversation.
Returns:
  True.